ATA_DEV_CONFIGURE(9)

NAME
ata_dev_configure - Configure the specified ATA/ATAPI device

SYNOPSIS

int ata_dev_configure(struct ata_device * dev);

ARGUMENTS

dev
    Target device to configure

DESCRIPTION

Configure dev according to dev->id. Generic and low-level driver specific fixups are also applied.

LOCKING

Kernel thread context (may sleep)

RETURNS

0 on success, -errno otherwise

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT